Paigaldusjuhis Linux’i kasutajale

E-hääletamine Linux'i operatsioonisüsteemis

NB! Valijarakendus on saadaval nii 32-bitise kui ka 64-bitise Linuxi distributsiooni jaoks. Vaikimisi pakutakse Linuxi-kasutajatele www.valimised.ee avalehel nupu "Laadi alla" välja 64-bitine versioon, 32-bitine versioon on saadaval lehel "Valijarakendused".

E-hääletamise rakendus ehk valijarakendus töötab testitult järgmiste Linuxi'i distributsioonidega:

  • Ubuntu 16.04, 18.10

Suur tõenäosus töötamiseks on ka teistel distributsioonidel, millele on olemas töötav ID-kaardi tugi. 

 

Valijarakenduse paigaldamine

Valijarakendust levitatakse käivitatava failina suurusega ligikaudse suurusega 1,3 MB.

Pärast 17. detsembrit kl 9.00 minge e-hääletamise lehele ja vajutage nuppu "Laadi alla" ning salvestage valijarakendus. 

Veebilehitseja Mozilla Firefox’i kasutamisel tuleb paigaldamiseks läbida järgmised etapid:

Laadige alla valijarakendus alla ja salvestage see oma arvutisse.

Tehke hiire parema nupuga klõps allalaaditud failil ning klõpsake valikul „Ava faili sisaldav kaust“.

Avaneb kataloog (Downloads / Allalaadimised). Tehke hiire parema nupuga klõps allalaetud failil ning valige rippmenüüst „Omadused“.

Leidke ülelt vaheleht „Õigused“ (Properties), tehke sellel klõps ning veenduge, et on tehtud linnuke ette valikule „Faili on lubatud käivitada kui programmi“ (Allow executing file as a program). Kui linnukest pole, siis pange see ise.

Käivitage valijarakendus, tehes hiirega failil topeltklõps.

Kui kasutate veebilehitsejana Google Chrome’i, siis salvestage valijarakendus oma arvutisse. Allalaadimise lõppedes tehke klõps faili kõrval oleval noolekesel ning valige „Kuva kaustas“ (Show in folder).

Edasi järgige punkte, mis on eelpool kirjeldatud Mozilla Firefox’i kasutajale.

ID-kaardiga hääletamiseks vajab Valijarakendus toimivat ID-kaardi tarkvara, sellisel juhul leiab Valijarakendus vajalikud teegid automaatselt. Kuni aasta 2018 detsembrini
väljastatud kaartidega toimub hääletamine OpenSC PKCS11 teegi opensc-pkcs11.so vahendusel. Alates detsembrist 2018 väljastatavate ID-kaartide jaoks kasutatakse
kaarditootja PKCS11 teeki libOcsCryptoki.so.

Juhul, kui vajalikud teegid ei ole standardsetes asukohtades, võib kasutada keskkonnamuutujat EVOTE_PKCS11_LIB viitamaks vajaliku teegi asukohale. Sõltuvalt kasutatavast
koorikust on selleks erinevaid võimalusi. Näiteks:

export EVOTE_PKCS11_LIB=/usr/local/lib/pkcs11/opensc-pkcs11.so 

või 

setenv EVOTE_PKCS11_LIB /usr/local/lib/pkcs11/opensc-pkcs11.so.

Lisaks valijarakendusele võivad PKCS11-teeki kasutada ID-kaardiga suhtlemiseks ka teised rakendused, näiteks Mozilla. Kui mõni rakendus juba kasutab ID-kaarti, siis võib sõltuvalt OpenSC teegi seadistustest olla teistel rakendustel ID-kaardile juurdepääs keelatud. Juurdepääsukeelu teadasaamiseks avage fail opensc.conf (üldjuhul asub see kataloogis /etc/openscvõi /usr/local/etc/opensc) ja kontrollige parameetri lock_login väärtust. Kui parameetrilock_login väärtus on true, tuleks Teil enne valijarakenduse kasutamist veenduda, et kõik teised ID-kaarti kasutavad rakendused on suletud.

 

Päringuvahendaja (proksi) kasutamine

Kui Teie internetiühendus toimub läbi päringuvahendaja, peate valijarakenduse kasutamiseks seadma keskkonnamuutuja https_proxy: 

export https_proxy=http://proxy.server:8082/

Kui keskkonnamuutuja on seatud, kuvab valijarakendus Teile akna, kus vajadusel saate päringuvahendaja parameetreid redigeerida.

 

Kui ilmneb viga

Lugege täpsemalt, mida teha ID-kaardi töölesaamiseks. Abi ID-kaardiga seotud toimingute kohta saab telefonilt 631 6633 või abi@valimised.ee.

Kui Teie arvuti või mõni muu tehniline rike ei võimalda e-hääletamist, saate oma hääle anda harilikul viisil valimisjaoskonnas.